Measure logo
REST API ReferenceDashboard APINetwork Requests

Fetch a network endpoint's latency percentiles plot

GET/apps/{id}/networkRequests/plots/endpointLatency

Fetch a network endpoint's latency percentiles plot over time.

Both versions & version_codes should be present if any one of them is present. from & to will default to a last 24 hours time range if not supplied. Latency values (p50, p90, p95, p99) are in milliseconds and may be null.

Authorization

bearerAuth
AuthorizationBearer <token>

User access token issued at sign-in. Sent as Authorization: Bearer <access-token> unless cookies are used to send tokens. The /auth/refresh and /auth/signout endpoints expect the session's refresh token in the same header format instead.

In: header

Path Parameters

id*string

App's UUID.

Formatuuid

Query Parameters

domain*string

The domain of the network endpoint (e.g., api.example.com).

path*string

The path of the network endpoint (e.g., /api/users).

from?string

ISO8601 timestamp to include events after this time.

to?string

ISO8601 timestamp to include events before this time.

plot_time_group?string

Time bucketing granularity. One of: minutes, hours, days, months. Defaults to days.

versions?string

List of comma separated version identifier strings.

version_codes?string

List of comma separated version code identifier strings.

os_versions?string

List of comma separated OS version identifier strings.

device_manufacturers?string

List of comma separated device manufacturer identifier strings.

network_providers?string

List of comma separated network provider identifier strings.

network_types?string

List of comma separated network type identifier strings.

network_generations?string

List of comma separated network generation identifier strings.

locales?string

List of comma separated locale identifier strings.

http_methods?string

List of comma separated HTTP method strings.

Response Body

application/json

curl -X GET "https://example.com/apps/497f6eca-6276-4993-bfeb-53cbbbba6f08/networkRequests/plots/endpointLatency?domain=string&path=string"
[  {    "datetime": "2024-01-15T14:30:00",    "p50": 100.5,    "p90": 250.3,    "p95": 350.7,    "p99": 500.2,    "count": 1500  },  {    "datetime": "2024-01-15T15:00:00",    "p50": 95.2,    "p90": 240.1,    "p95": 340.5,    "p99": 510.3,    "count": 1600  }]
Empty
Empty
Empty
Empty
Empty

Think this page can be better?

Open an issue